/**
 * [Open API Specification]{@link https://docs.real-user-data.eggplant.cloud/open-api/index.html}
 * @typedef {Object} Event
 * @property {String} id
 * @property {String} clientId
 * @property {String} journeyAction
 * @property {String} userId
 * @property {Number} queueTime
 * @property {String} eventType
 * @property {String} referrer
 * @property {String} eventAction
 * @property {Number} eventStart
 * @property {Number} eventEnd
 * @property {Number} eventDuration1 - Usually used for Response Start in Web Context
 * @property {Number} eventDuration2 - Usually used for DOM Interactive
 * performance metric in Web Context
 * @property {Number} eventDuration3 - Usually used for Load Event Start
 * performance metric in Web Context
 * @property {Number} eventDuration4 - Usually used for DOM Complete performance
 * metric in Web Context
 * @property {Number} eventDuration5 - Usually used for Load Event End performance
 * metric in Web Context
 * @property {Number} eventDuration6 - Usually used for First Paint performance
 * metric in Web Context
 * @property {Number} eventDuration7 - Usually used for First Contentful Paint performance
 * metric in Web Context
 * @property {Number} eventDuration8 - Usually used for Largest Contentful Paint web
 * vital in Web Context
 * @property {Number} eventDuration9
 * @property {Number} eventDuration10
 * @property {String} eventInfo1
 * @property {String} eventInfo2
 * @property {String} eventInfo3
 * @property {String} eventInfo4
 * @property {String} eventInfo5
 * @property {String} eventSource
 * @property {String} eventCategory
 * @property {String} goalType
 * @property {Number} goalValue
 * @property {String} goalCurrency
 * @property {String} errorCode
 * @property {String} errorType
 * @property {Boolean} errorFatal
 * @property {String} deviceType
 * @property {String} manufacturer
 * @property {String} model
 * @property {String} hardwareInfo1
 * @property {String} hardwareInfo2
 * @property {String} hardwareInfo3
 * @property {String} hardwareInfo4
 * @property {String} hardwareInfo5
 * @property {Number} screenResolutionWidth
 * @property {Number} screenResolutionHeight
 * @property {Number} viewportWidth
 * @property {Number} viewportHeight
 * @property {String} screenColors
 * @property {String} osName
 * @property {String} osVersion
 * @property {String} softwareId
 * @property {String} softwareName
 * @property {String} softwareVersion
 * @property {String} softwareInfo1
 * @property {String} softwareInfo2
 * @property {String} softwareInfo3
 * @property {String} softwareInfo4
 * @property {String} softwareInfo5
 * @property {String} encoding
 * @property {String} language
 * @property {Number} latitude
 * @property {Number} longitude
 * @property {String} locationInfo1
 * @property {String} locationInfo2
 * @property {String} locationInfo3
 * @property {String} locationInfo4
 * @property {String} locationInfo5
 * */
